
#property copyright " 2011 BJF Trading Group"
#property link      "www.iticsoftware.com"

#define vers   "1.2.1"

#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1 DodgerBlue
#property indicator_width1 1 

extern int MAZTF = PERIOD_H4;
extern int MAZPeriod = 13;
extern int MAZma_shift = 0;
extern int MAZma_method = MODE_EMA;
extern int MAZapplied_price = PRICE_CLOSE;

double MABuf[];

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

void init()
{
  SetIndexBuffer(0, MABuf);
  SetIndexStyle(0, DRAW_LINE);
  SetIndexEmptyValue(0, 0.0);
  SetIndexDrawBegin(0, MAZPeriod);
}

void deinit()
{
}

void start()
{
  int counted_bars = IndicatorCounted();
  if(counted_bars < 0) return;
  if(counted_bars > 0) counted_bars--;

  int limit = Bars-counted_bars;
  limit += MAZTF/Period();

  for (int i=limit; i >= 0; i--)
  {
    int shift = iBarShift(NULL, MAZTF, Time[i], true);
    if (shift == -1) continue;
    
    MABuf[i] = iMA(NULL, MAZTF, MAZPeriod, MAZma_shift, MAZma_method, MAZapplied_price, shift);
  }
}